Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.codegen
Class SwiftCodeletFactory

    java.lang.Object
      com.stc.swift.codegen.SwiftCodeletFactory

All Implemented Interfaces:
  com.stc.codegen.framework.model.CodeletFactory, com.stc.codegen.framework.model.Validator

    public class SwiftCodeletFactory

extends java.lang.Object
implements com.stc.codegen.framework.model.CodeletFactory, com.stc.codegen.framework.model.Validator

Version:
  $Revision: 1.10 $
See Also:
  ``

Field Summary

Fields inherited from interface com.stc.codegen.framework.model.CodeletFactory
`RCS_ID`

Fields inherited from interface com.stc.codegen.framework.model.Validator
`RCS_ID`

Constructor Summary
`SwiftCodeletFactory()`

Method Summary
`java.util.Collection` | `createCodelets(com.stc.deployment.repository.ProjectDeployment projDeployment, com.stc.model.common.cme.Deployable deployable, com.stc.codegen.framework.model.CodeGenFramework codegenFrw)`
`com.stc.codegen.framework.model.ErrorBundle` | `validate(com.stc.codegen.framework.model.CodeGenFramework framework, com.stc.deployment.repository.ProjectDeployment deployment, com.stc.model.common.cme.Deployable deployable)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwiftCodeletFactory

    public SwiftCodeletFactory()

Method Detail

### createCodelets

    public java.util.Collection createCodelets(com.stc.deployment.repository.ProjectDeployment projDeployment,
                                               com.stc.model.common.cme.Deployable deployable,
                                               com.stc.codegen.framework.model.CodeGenFramework codegenFrw)
                                        throws com.stc.codegen.framework.model.CodeGenException

  Specified by:
    `createCodelets` in interface `com.stc.codegen.framework.model.CodeletFactory`
  Parameters:
    `` -
  Returns:
  Throws:
    ``
    `com.stc.codegen.framework.model.CodeGenException`
  See Also:
    ``

### validate

    public com.stc.codegen.framework.model.ErrorBundle validate(com.stc.codegen.framework.model.CodeGenFramework framework,
                                                                com.stc.deployment.repository.ProjectDeployment deployment,
                                                                com.stc.model.common.cme.Deployable deployable)

  Specified by:
    `validate` in interface `com.stc.codegen.framework.model.Validator`
  Returns:
    error bundle with error records

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.